Subject: Re: bug#35624: log-view-diff regression

From: Juri Linkov <[email-masked]>
Date: Mon, 17 Jun 2019 23:42:57 +0300

>>> Speaking about this approach... What happens when the whole log buffer is
>>> shorter than the window it's displayed in?
>>
>> It was difficult for me to test this case because I rely heavily on ediff
>> for development, but ediff has been broken for a week in master.
>> It makes sense to revert changes that break some function completely
>> because currently ediff is unusable giving this error:
>
> That's unfortunate, but I never use it. Maybe file a bug?

There is some slow-moving discussion in bug#36157.

>> But I tried to do ediff's work manually, and can confirm now that
>> when the whole log buffer is shorter than the window then the patch
>> from bug#35860 still works correctly hiding the first line initially.
>
> Great news.
>
> I wonder if it would still trip up people who use C-v/M-v sometimes. But
> a defcustom would solve that, anyway.

C-v/M-v will help them to discover this useful feature.